Subject: Re: [PATCH net-next 4/4] net: xilinx: axienet: Support IFF_ALLMULTI

From: Simon Horman <[email-masked]>
Date: Thu, 15 Aug 2024 16:02:18 +0100

On Mon, Aug 12, 2024 at 04:04:37PM -0400, Sean Anderson wrote:
> Add support for IFF_ALLMULTI by configuring a single filter to match the
> multicast address bit. This allows us to keep promiscuous mode disabled,
> even when we have more than four multicast addresses. An even better
> solution would be to "pack" addresses into the available CAM registers,
> but that can wait for a future series.
> 
> Signed-off-by: Sean Anderson <[email-masked]>

My comment on patch 1/4 notwithstanding, this looks good to me.

Reviewed-by: Simon Horman <[email-masked]>